

*2018
*Pasar las variables a minúsculas
forvalues y = 2018/2018 {
    foreach m in Enero Febrero Marzo Abril Mayo Junio Julio Agosto Septiembre Octubre Noviembre Diciembre {
	foreach g in Cabecera Resto {
            foreach b in "`g' - Caracter°sticas generales (Personas)" /// 
                         "`g' - Fuerza de trabajo" ///
                         "`g' - Ocupados" ///
                         "`g' - Desocupados" ///
                         "`g' - Inactivos" ///
                         "`g' - Otros ingresos" ///
                         "`g' - Otras actividades y ayudas en la semana" ///
                         "`g' - Vivienda y Hogares" ///
						 {
                         use "$Datos/`y'/`m'/`b'.dta", clear
                         rename *, lower
						 
                         save "$Datos/`y'/`m'/`b'.dta", replace
                         }
						 }
	}
}

*Pegar los módulos
forvalues y = 2018/2018 {
    foreach m in Enero Febrero Marzo Abril Mayo Junio Julio Agosto Septiembre Octubre Noviembre Diciembre {
            foreach g in Cabecera Resto {
			use "$Datos/`y'/`m'/`g' - Caracter°sticas generales (Personas).dta", clear
            foreach b in "`g' - Fuerza de trabajo" ///
                         "`g' - Ocupados" ///
                         "`g' - Desocupados" ///
                         "`g' - Inactivos" ///
                         "`g' - Otros ingresos" ///
                         "`g' - Otras actividades y ayudas en la semana" ///
                         {
             merge 1:1 directorio secuencia_p orden hogar using "$Datos/`y'/`m'/`b'.dta", nogen force
            }

      *Agregar hogares
            merge m:1 directorio secuencia_p using "$Datos/`y'/`m'/`g' - Vivienda y Hogares.dta", nogen force         
        
		save "$Datos/`y'/`m'/`g'_`m'_`y'.dta", replace
		}
	*Juntar cabecera y resto	
	use "$Datos/`y'/`m'/Cabecera_`m'_`y'.dta", clear
        append using "$Datos/`y'/`m'/Resto_`m'_`y'.dta"
		gen anio = `y'
        save "$Datos/`y'/`m'/`m'.dta", replace
    }
    use "$Datos/`y'/Enero/Enero.dta", clear
    foreach m in Febrero Marzo Abril Mayo Junio Julio Agosto Septiembre Octubre Noviembre Diciembre { 
        append using "$Datos/`y'/`m'/`m'.dta"
    }
    save "$Datos/`y'/`y'.dta", replace
}





*2010
*Pasar las variables a minúsculas y convertirlas a .dta
forvalues y = 2010/2010 {
local i=1
    foreach m in Enero Febrero Marzo Abril Mayo Junio Julio Agosto Septiembre Octubre Noviembre Diciembre {
	foreach g in Cabecera Resto {
            foreach b in "`g' - Caracter°sticas generales (Personas) (`i')" /// 
                         "`g' - Fuerza de trabajo (`i')" ///
                         "`g' - Ocupados (`i')" ///
                         "`g' - Desocupados (`i')" ///
                         "`g' - Inactivos (`i')" ///
                         "`g' - Otros ingresos (`i')" ///
                         "`g' - Otras actividades y ayudas en la semana (`i')" ///
                         "`g' - Vivienda y Hogares (`i')" ///
						 {
                         insheet using "$Datos/`y'/`m'/`b'.txt", clear
                         rename *, lower
						 
                         save "$Datos/`y'/`m'/`b'.dta", replace
                         }
						 }
	local ++i
	}
	
}

*Pegar los módulos
forvalues y = 2010/2010 {
local i=1
    foreach m in Enero Febrero Marzo Abril Mayo Junio Julio Agosto Septiembre Octubre Noviembre Diciembre {
            foreach g in Cabecera Resto {
			use "$Datos/`y'/`m'/`g' - Caracter°sticas generales (Personas) (`i').dta", clear
            foreach b in "`g' - Fuerza de trabajo (`i')" ///
                         "`g' - Ocupados (`i')" ///
                         "`g' - Desocupados (`i')" ///
                         "`g' - Inactivos (`i')" ///
                         "`g' - Otros ingresos (`i')" ///
                         "`g' - Otras actividades y ayudas en la semana (`i')" ///
                         {
             merge 1:1 directorio secuencia_p orden hogar using "$Datos/`y'/`m'/`b'.dta", nogen force
            }

      *Agregar hogares
            merge m:1 directorio secuencia_p using "$Datos/`y'/`m'/`g' - Vivienda y Hogares (`i').dta", nogen force         
        
		save "$Datos/`y'/`m'/`g'_`m'_`y'.dta", replace
		}
	*Juntar cabecera y resto	
	use "$Datos/`y'/`m'/Cabecera_`m'_`y'.dta", clear
        append using "$Datos/`y'/`m'/Resto_`m'_`y'.dta",force
		gen anio = `y'
        save "$Datos/`y'/`m'/`m'.dta", replace
		local ++i
    }
    use "$Datos/`y'/Enero/Enero.dta", clear
    foreach m in Febrero Marzo Abril Mayo Junio Julio Agosto Septiembre Octubre Noviembre Diciembre { 
        append using "$Datos/`y'/`m'/`m'.dta",force
    }
    save "$Datos/`y'/`y'.dta", replace
}




*Limpieza de la base y creación de variables


foreach y in 2010 2018 {
use "$Datos/`y'/`y'.dta"
*Ciudades

destring area, replace



label var area "area"
destring area, replace
label define arealbl 5 "Medellín" /*
    */               8 "Barranquilla"/*
	*/				 11 "Bogotá" /*
	*/				 13 "Cartagena" /*
	*/				 15 "Tunja" /*
	*/				 17 "Manizales"/*
	*/				 18 "Florencia"/*
	*/				 19 "Popayán" /*
	*/				 20 "Valledupar" /*
	*/				 23 "Montería"/*
	*/				 27 "Quibdó"/*
	*/				 41 "Neiva" /*
	*/				 44 "Riohacha" /*
	*/				 47 "Santa Marta" /*
	*/				 50 "Villavicencio" /*
	*/				 52 "Pasto" /*
	*/				 54 "Cúcuta"/*
	*/				 63 "Armenia" /*
	*/				 66 "Pereira" /*
	*/				 68 "Bucaramanga"/*
	*/				 70 "Sincelejo" /*
	*/				 73 "Ibagué" /*
	*/				 76 "Cali" /*
	*/				 99 "Resto"
label value area arealbl 

*Zonas
rename clase zona
destring zona, replace
label var    zona "zona"
label define zona 1  "Urbana" 2  "Rural"
label values zona zona


*Edad
gen edad=p6040

*Grupos de edad
gen     grupo_edad = .
replace grupo_edad = 1  if edad >=15 & edad <= 24
replace grupo_edad = 2  if edad >=25 & edad <= 39
replace grupo_edad = 3  if edad >=40 & edad <= 59
replace grupo_edad = 4  if edad >=60 & edad != .
label define grupo_edad 1  "15-24"  /*
                     */ 2  "25-39"  /* 
                     */ 3  "40-59"  /*
                     */ 4  "60+"  
			
			
			
label values grupo_edad grupo_edad
label var    grupo_edad "edad"



*Género
gen genero = . 
replace genero = 1 if p6020==1
replace genero = 2 if p6020==2
label var    genero "Genero"
label define genero 1  "Hombre" /*
                 */ 2  "Mujer" 
label values genero genero

*Estado civil
rename p6070 est_civil
label var est_civil "Estado civil"
    label define est_civil 1  "Unión libre menor a 2 años"   /*
                 */        2  "Unión libre mayor a 2 años"   /*
                 */        3  "Casado"   /*
                 */        4  "Separado/divorciado"   /*
                 */        5  "Viudo"   /*
                 */        6  "Soltero"   
    label values est_civil est_civil

gen casado = 0
replace casado = 1 if est_civil==1 | est_civil==2| est_civil==3	
	
*Jefe de hogar
gen jefe_hog=0
replace jefe_hog=1 if p6050==1

 
 
    label var  jefe_hog "Jefe de hogar"
    
*Educación
    label var  esc "Años de educación"

	
gen nivel_edu=.
forvalues i=1/5{
replace nivel_edu=`i' if p6220==`i'
}

label var nivel_edu "Nivel educativo"
label define nivel_edu 1 "Ninguno" 2 "Bachiller" 3 "Técnico/Tecnológico" 4 "Univeristario" 5 "Postgrado" 			


*Educación por niveles
gen     nivel_edu2 = .
replace nivel_edu2 = 1  if esc == 0
replace nivel_edu2 = 2  if esc >= 1 & esc <= 5
replace nivel_edu2 = 3  if esc >= 6 & esc <= 11
replace nivel_edu2 = 4  if esc >= 12 & esc != .
label define nivel_edu2 1  "Ninguno"   /*
              */        2  "Primaria"  /* 
              */        3  "Secundaria"  /*
              */        4  "Terciaria"
			  
			  
					
label values nivel_edu2 nivel_edu2
label var nivel_edu2 "nivel educativo"

*Lee y escribe
rename p6160 lee_escribe

*Población en edad de trabajar
    gen       pet = 0
    replace   pet = 1 if edad >= 12 & zona == 1
    replace   pet = 1 if edad >= 10 & zona == 2
    label var pet "1 si en edad de trabajar"

*Empleados	
     gen e =  pet
	replace e = 0 if p6240==2|p6240==3|p6240==4|p6240==5|p6240==6
	replace e = 1 if p6250==1
	replace e = 1 if p6260==1
	replace e = 1 if p6270==1 
	replace e = . if pet==0
	label variable e "Ocupación"
	
	
*Actividad
rename p6240 actividad	

*Ni estudia ni trabaja
	gen nini=0 if grupo_edad==1
replace nini=1 if actividad==4 & grupo_edad==1
replace nini=1 if actividad==5 & grupo_edad==1
replace nini=1 if actividad==6 & grupo_edad==1
	label var nini "Ni estudia, ni trabaja"
*Desempleados
		gen u = (p7250>0 & p7250!=.)
			replace u = . if pet==0
			
			label variable u "Desempleados"

		
			
*Población Económicamente Activa*
		gen pea = (e==1 |u==1)
			replace pea = . if pet==0
			label var pea "Tasa General de Participación"	
		
*Tasa de desempleo
gen d=u
replace d=. if pea==0			
	label variable d "Tasa de Desempleo"		
*Tipo de trabajador -ocupación-

    gen tipo_trab = p6430
    label define tipo_trab   1 "Empleado particular"   /*
              */               2 "Empleado del gobierno"   /*
                */             3 "Empleado doméstico"   /*
                  */           4 "Trabajador por cuenta propia"   /*
                    */         5 "Patrón o empleador"   /*
                      */       6 "Trabajador familiar sin remuneración"   /*
                        */     7 "Trabajador sin remuneración en empresas o negocios de otros hogares"   /*
                          */   8 "Jornalero o peón"   /*
                            */ 9 "Otro"  
    
    label values tipo_trab tipo_trab
    label var    tipo_trab "Tipo de trabajo en la ocupación principal"
				
				
	gen ocupacion=.
	replace ocupacion=1 if (tipo_trab==1|tipo_trab==3|tipo_trab==5|tipo_trab==7|tipo_trab==8)
	replace ocupacion=2 if tipo_trab==2
	replace ocupacion=3 if tipo_trab==4
	label var ocupacion "ocupación"
	label define ocupacion 1 "Privado" /*
	*/                     2 "Público" /*
	*/                     3 "Cuenta propia"
		label values ocupacion ocupacion		
				
*Contrato
gen contrato = .
replace contrato = 0 if p6440==2
replace contrato = 0 if p6450==1 | p6450==3
replace contrato = 0 if p6460==3
replace contrato = 1 if p6460==1 | p6460==2

gen temporal = contrato
recode temporal 1=0 if p6460==1

gen permanente = contrato
recode permanente 1=0 if p6460==2

gen nocontrato=1 if contrato==0
replace nocontrato = 0 if contrato==1	


*Conforme con el empleo
rename p6422 conforme_emp

*Meses desempleado
rename p760 meses_des
replace meses_des=. if meses_des==99

*Por qué no ha buscado trabajo si desea trabajar
rename p6310 desea_emp_no_busca

*Cambiar trabajo
rename p7130 camb_emp



*Motivo por el que dejó el trabajo
rename p7450 motivo_dejo_emp

*Motivo por el que dejó de buscar trabajo
rename p7458 motivo_no_busca

gen razones_buscar=.
replace razones_buscar=1 if motivo_no_busca==1
replace razones_buscar=1 if motivo_no_busca==3
replace razones_buscar=1 if motivo_no_busca==5
replace razones_buscar=1 if motivo_no_busca==6
replace razones_buscar=2 if motivo_no_busca==2
replace razones_buscar=3 if motivo_no_busca==4
replace razones_buscar=4 if motivo_no_busca==8
replace razones_buscar=5 if motivo_no_busca==9
replace razones_buscar=6 if motivo_no_busca==10
replace razones_buscar=7 if motivo_no_busca==7
replace razones_buscar=7 if motivo_no_busca==11
replace razones_buscar=8 if motivo_no_busca==12

label var razones_buscar "Razones por las que dejó de buscar trabajo"

label define motivo_no_busca 1 "No encuentra" /*
                          */ 2 "Para estudiar" /*
						  */ 3 "Enfermedad" /*
						  */ 4 "Edad" /*
						  */ 5 "Responsabilidades familiares" /*
						  */ 6 "Jubilación/retiro" /*
						  */ 7 "No quiere" /*
						  */ 8 "Otra"
label values razones_buscar motivo_no_busca

*Oficio en el hogar no remunerado
rename p7480s3 oficio_hog_no_rem

*Horas de oficio en el hogar no remuneradas
rename p7480s3a1 hog_norem
label var hog_norem "Horas de oficio en el hogar no remuneradas"

*Oficio en otro hogar no remunerado
rename p7480s4 oficio_hog_otro_no_rem

*Horas de oficio otro hogar no remuneradas
rename p7480s4a1 otrohog_norem

*Oficio en cuidando niños no remunerado
rename p7480s5 oficio_nino_no_rem

*Horas de oficio cuidando niños no remuneradas
rename p7480s5a1 nino_norem
label var nino_norem "Horas cuidando niños no remuneradas"

*Oficio en cuidando ancianos/discapacitados no remunerado
rename p7480s6 oficio_anc_no_rem

*Horas de oficio cuidando ancianos/discapacitados no remuneradas
rename p7480s6a1 anc_norem




*Experiencia
gen  exp = p6426
    label var exp "Experiencia"

*Informal pensiones			
	gen informal_pension=.
		replace informal_pension=1 if p6920==2
		replace informal_pension=0 if p6920==1	
		
gen  tipo_pension = p6930
    label define tipo_pension 1  "Privado"   /*
               */             2  "Colpensiones"   /*
                */            3  "Especial"   /*
                  */          4  "Fondo subsidiado" 		
		
	
*Informal salud
	gen informal_salud = .
		replace informal_salud=1 if p6090==2
		replace informal_salud=0 if p6090==1
		*Corregir si la persona no paga pero es beneficiaria
		replace informal_salud=1 if p6110==5
		*Corregir si la persona no sabe
		replace informal_salud=. if p6110==9
		*Corregir si la persona está afiliada al rémen subsidiado
		replace informal_salud=1 if p6100==3

gen  regimen_salud = .
    replace      regimen_salud = 1 if p6100 == 1
    replace      regimen_salud = 2 if p6100 == 2
    replace      regimen_salud = 3 if p6100 == 3
    label define regimen_salud 1  "Contributivo"   /*
                       */      2  "Especial"   /*
                         */    3  "Subsidiado"   		
		
		
*Informal tamaño de la firma
	gen informal_tamano=.
		replace informal_tamano=1 if p6870<4
		replace informal_tamano=0 if p6870>=4

*Informalidad y formalidad	
	gen informal=1
		replace informal=0 if informal_pension==0 & informal_salud==0
	label var informal "Informalidad"	
	gen formal=1
		replace formal=0 if informal==1
	
	gen informalidad=informal
	replace informalidad=. if e!=1
	
	
*Tamaño de la firma
tabulate p6870, gen(size_firm)

gen tamano_firma=.
replace tamano_firma=1 if (p6870==1|p6870==2|p6870==3|p6870==4)
replace tamano_firma=2 if (p6870==5|p6870==6|p6870==7)
replace tamano_firma=3 if p6870==8
replace tamano_firma=4 if p6870==9
label var tamano_firma "tamaño de firma"
label define tamano_firma 1 "Micro" /*
                       */ 2 "Pequeña" /*
					   */ 3 "Mediana" /*
					   */ 4 "Grande"
					   
label values tamano_firma tamano_firma
					   
gen micro = 0
replace micro=1 if (p6870==1|p6870==2|p6870==3|p6870==4 )

gen pequeña = 0
replace pequeña =1 if (p6870==5 | p6870==6 | p6870==7)

gen mediana = 0
replace mediana = 1 if p6870==8

gen grande = 0
replace grande = 1 if p6870==9	


*Sectores a 1 dígito
destring     rama2d, force replace
    gen          sector1d = .
    replace      sector1d = 1  if (rama2d ==1|rama2d ==2|rama2d ==5)
    replace      sector1d = 2  if rama2d >= 10 & rama2d <= 14
    replace      sector1d = 3  if rama2d >= 15 & rama2d <= 37
    replace      sector1d = 4  if rama2d >= 40 & rama2d <= 41
    replace      sector1d = 5  if rama2d == 45
    replace      sector1d = 6  if (rama2d ==50|rama2d ==51|rama2d ==52|rama2d ==55)
    replace      sector1d = 7  if rama2d >= 60 & rama2d <= 64
    replace      sector1d = 8 if (rama2d ==65|rama2d ==66|rama2d ==67|rama2d ==70|rama2d ==71|rama2d ==72|rama2d ==73|rama2d ==74)
    replace      sector1d = 9 if (rama2d ==75|rama2d ==80|rama2d ==85|rama2d ==90|rama2d ==91|rama2d ==92|rama2d ==93|rama2d ==95|rama2d ==99)
    label define sector1d 1  "Agricultura"   /*
           */               2  "Minería"   /*
             */             3  "Industria manufacturera"   /*
               */           4  "Electricitdad, gas y agua"   /*
                 */         5  "Construcción"   /*
                   */       6  "Comercio, hoteles y restaurantes"   /*
                     */     7  "Transporte almacenamiento y comunicaciones"   /*
                       */   8 "Establecimientos financieros e inmobiliarios"   /*
                         */ 9 "Servicios comunales"  

    label values sector1d sector1d
    label var    sector1d "Sector a 1 dígito"
    
*Sectores generales
    gen          sector = .            
    replace      sector = 1 if sector1d >= 1 & sector1d <= 2
    replace      sector = 2 if sector1d >= 3 & sector1d <= 6
    replace      sector = 3 if sector1d >= 7 & sector1d <= 9
    label define sector 1 "Agricultura" /*
                 */        2 "Industria" /*
                   */      3 "Servicios" 
    					 
    label values sector sector
 label var sector "sector"
*Pesos factores de expansión

    gen peso        = fex_c_2011
    gen peso_anio   = peso/12
    gen peso_trimestre= peso/3
	
*Salarios nominales	(cuánto ganó el mes pasado sin descuentos)
 gen salario = .

**** Para obrero, del gobierno, empleado domestico, jornalero o peon
replace salario = p6500 if (p6430==1|p6430==2|p6430==3|p6430==8)
*** Trabajador por cuenta propia, patron o empleador u otro, ganancia dividida en los meses a los que corresponde
*** No se divide si corresponde a menos de un mes
replace salario = p6750/p6760 if (p6430==4|p6430==5|p6430==9)
replace salario = p6750 if (p6430==4|p6430==5|p6430==9 & p6760==0)	
	
****Ingresos sin extra
gen extras = 0 if salario!=.
replace extras = p6510s1 if p6510s2==1
gen salario2 =  salario - extras

*Meses
destring     mes, force replace 

*Índice de precios al consumidor
gen ipc=.
*Índice de precios al consumidor de diciembre de 2018 
gen ipc2=.
do "$Datos/do_ipc.do"


*Salario en pesos constantes de diciembre de 2018
gen salario_d18=(salario/(ipc/ipc2))

*Salarios reales con el IPC correspondiente al mes-año
gen salario_real = (salario2/ipc)*100

				  
				  

*Salario mínimo
gen sm=.
replace   sm = 515000 if anio == 2010
replace   sm = 781242 if anio == 2018
	

*Horas de trabajo
gen horas_trab=p6800
label var horas_trab "Horas trabajadas a la semana"
	
save "$Datos/`y'/`y'.dta", replace	
	}
	
*Pegar ambas bases

  use "$Datos/2018/2018.dta", clear
  append using "$Datos/2010/2010.dta", force
  *Eliminar zonas rurales: keep if area!=.
 *Borrar las variables que sobran
 do "$Datos/borrar_variables.do"
save "$Datos/2010-2018.dta", replace



