
cd "$Datos/Graficos"

*Sacar una tasa de participación con los pesos para tener el mismo dato del DANE
tabstat pea [fweight=int(peso_anio)] if anio==2010, by(zona)
 
*Tasa de desempleo rural urbana
tabstat d [fweight=int(peso_anio)] if  anio==2018 , by(zona)
tabstat d [fweight=int(peso_anio)] if  anio==2010 , by(zona)

*Tasa de informalidad (no cotiza a pensiones ni salud)
 tabstat informalidad [fweight=int(peso_anio)] if anio==2018, by(zona)

*Gráficos:

*Principal actividad durante la última semana
graph bar [fweight=int(peso_anio)] if edad>=18, over(actividad) over(genero) ///
asyvar percentages name(actividad,replace) graphregion(color(white)) ///
 plotregion(color(white)  ) ytitle("%") ///
 by(anio, title("Principal actividad durante la última semana", color(black)) ///
 graphregion(color(white))  plotregion(color(white)  ) ///
 note("Construcción propia con base en la GEIH" "Distribución de las actividades en cada género")) ///
 subtitle(,fcolor(white) ///
 lcol(white)) blabel(bar, tstyle(smbody) gap(*0.2) format(%4.1f)) ///
 bar(1, lwidth(medthin) lcolor(black)) bar(2,lwidth(medthin) lcolor(black)) ///
 bar(3,lwidth(medthin) lcolor(black)) bar(4,lwidth(medthin) lcolor(black)) ///
 bar(5, lwidth(medthin) lcolor(black)) bar(6, lwidth(medthin) lcolor(black)) 
graph export g_actividad.png, replace

*Razones no buscar trabajo
graph bar [fweight=int(peso_anio)], over(razones_buscar) over(genero) ///
asyvar percentages stack name(razones_buscar,replace) graphregion(color(white)) ///
 plotregion(color(white)  )  ytitle("%") ///
 by(anio, title("Razones por las que no busca trabajo", color(black)) ///
 graphregion(color(white))  plotregion(color(white)  ) ///
 note("Construcción propia con base en la GEIH")) subtitle(,fcolor(white) lcol(white)) ///
 bar(1, lwidth(medthin) lcolor(black)) bar(2,lwidth(medthin) lcolor(black)) ///
 bar(3,lwidth(medthin) lcolor(black)) bar(4,lwidth(medthin) lcolor(black))  ///
 bar(5, lwidth(medthin) lcolor(black)) bar(6, lwidth(medthin) lcolor(black)) ///
 bar(7, lwidth(medthin) lcolor(black)) bar(8, lwidth(medthin) lcolor(black))
graph export g_razones.png, replace



*Tasa de desempleo y participación por género y zona, grupo de edad y nivel educativo
foreach i in d pea {
foreach m in zona grupo_edad nivel_edu2  {
local lab: variable label `m'
graph bar `i' [fweight=int(peso_anio)], over(genero) over(`m') ///
 asyvar name(`i'_`m',replace) graphregion(color(white))  plotregion(color(white)) ///
 by(anio, title("`: var label `i'', por `lab'", color(black))  graphregion(color(white)) ///
 plotregion(color(white)  ) note("Construcción propia con base en la GEIH")) ///
 subtitle(,fcolor(white) lcol(white))   bar(1, lcolor(black)lwidth(medthin) ///
 fcolor(dkorange)) bar(2, lcolor(black)lwidth(medthin) fcolor(forest_green)) ///
 bargap(3) ytitle("") blabel(bar, tstyle(smbody) gap(*0.2) format(%4.2f))

}
}

*Salarios reales
foreach m in grupo_edad nivel_edu2 sector tamano_firma ocupacion {
local lab: variable label `m'
graph bar salario_real [fweight=int(peso_anio)] if e==1, over(genero) /// 
over(`m') asyvar name(salario_real_`m',replace) graphregion(color(white))  ///
plotregion(color(white)  ) by(anio, title("Salario real, por `lab'", color(black)) ///
  graphregion(color(white))  plotregion(color(white)  ) ///
  note("Construcción propia con base en la GEIH")) ///
  subtitle(,fcolor(white) lcol(white))   ///
  bar(1, lcolor(black)lwidth(medthin) fcolor(dkorange)) ///
  bar(2, lcolor(black)lwidth(medthin) fcolor(forest_green)) ///
  bargap(3) ytitle("Pesos") ylabel(,format(%12.0fc)) 
graph export g_salario_real_`m'.png, replace	
}


*Para los sectores a 1 dígito
graph bar salario_real [fweight=int(peso_anio)] if e==1, over(genero) /// 
over(sector1d,lab(angle(30))) asyvar name(salario_real_sector1d,replace) graphregion(color(white))  ///
plotregion(color(white)  ) by(anio, title("Salario real, por sector", color(black)) ///
  graphregion(color(white))  plotregion(color(white)  ) ///
  note("Construcción propia con base en la GEIH")) ///
  subtitle(,fcolor(white) lcol(white))   ///
  bar(1, lcolor(black)lwidth(medthin) fcolor(dkorange)) ///
  bar(2, lcolor(black)lwidth(medthin) fcolor(forest_green)) ///
  bargap(3) ytitle("Pesos") ylabel(#2,format(%12.0fc)) 
graph export g_salario_real_sector1d.png, replace	


*Para los sectores sin minería
graph bar salario_real [fweight=int(peso_anio)] if e==1 & sector1d!=2, over(genero) /// 
over(sector) asyvar name(salario_real_sector1d,replace) graphregion(color(white))  ///
plotregion(color(white)  ) by(anio, title("Salario real, por sector", color(black)) ///
  graphregion(color(white))  plotregion(color(white)  ) ///
  note("Construcción propia con base en la GEIH" "Excluyendo minería")) ///
  subtitle(,fcolor(white) lcol(white))   ///
  bar(1, lcolor(black)lwidth(medthin) fcolor(dkorange)) ///
  bar(2, lcolor(black)lwidth(medthin) fcolor(forest_green)) ///
  bargap(3) ytitle("Pesos") ylabel(,format(%12.0fc)) 
graph export g_salario_real_sectorsm.png, replace	



*Tasa de ocupación por zona, edad y educación
foreach i in e  {
foreach m in zona grupo_edad nivel_edu2  {
local lab: variable label `m'
graph bar `i' [fweight=int(peso_anio)], over(genero) over(`m') asyvar ///
name(`i'_`m',replace) graphregion(color(white))  plotregion(color(white)  ) ///
by(anio, title("`: var label `i'', por `lab'", color(black))  graphregion(color(white)) ///
  plotregion(color(white)  ) note("Construcción propia con base en la GEIH")) ///
  subtitle(,fcolor(white) lcol(white))   bar(1, lcolor(black)lwidth(medthin) ///
  fcolor(dkorange)) bar(2, lcolor(black)lwidth(medthin) fcolor(forest_green)) ///
  bargap(3) ytitle("") blabel(bar, tstyle(smbody) gap(*0.2) format(%4.2f))
graph export g_`i'_`m'.png, replace	
}
}


*Composición del empleo por sector, tamaño de firma y ocupación

foreach m in sector  ocupacion  {
local lab: variable label `m'
graph bar (percent) e [fweight=int(peso_anio)] , over(`m') over(genero) ///
  asyvar percentages  name(e_`m',replace) graphregion(color(white)) ///
  plotregion(color(white)  ) /// 
  by(anio, title("Composición del empleo (%), por `lab'", color(black))  ///
  graphregion(color(white))  plotregion(color(white)  ) ///
  note("Construcción propia con base en la GEIH")) ///
  subtitle(,fcolor(white) lcol(white))  ///
  bar(1, lcolor(black)lwidth(medthin) fcolor(dkorange)) ///
  bar(2, lcolor(black)lwidth(medthin) fcolor(forest_green)) ///
  bar(3, lcolor(black)lwidth(medthin) fcolor(sienna)) ///
  bar(4, lcolor(black)lwidth(medthin) fcolor(brown)) ///
  bargap(3) ytitle("") blabel(bar, tstyle(smbody) gap(*0.2) ///
  format(%4.2f)) legend(title("", size(small) color(black)) cols(4))

}

*Informalidad por zona, grupo de edad, nivel educativo, sector, tamaño de firma y ocupación
foreach m in zona grupo_edad nivel_edu2 sector tamano_firma ocupacion  {
local lab: variable label `m'
graph bar informal [fweight=int(peso_anio)] if e==1, over(genero) over(`m') ///
 asyvar name(informal_`m',replace) graphregion(color(white))  plotregion(color(white)  ) ///
 by(anio, title("Tasa de informalidad, por `lab'", color(black))  graphregion(color(white)) ///
 plotregion(color(white)  ) note("Construcción propia con base en la GEIH")) ///
 subtitle(,fcolor(white) lcol(white))   bar(1, lcolor(black)lwidth(medthin) ///
 fcolor(dkorange)) bar(2, lcolor(black)lwidth(medthin) fcolor(forest_green)) ///
 bargap(3) ytitle("") blabel(bar, tstyle(smbody) gap(*0.2) format(%4.2f))
graph export g_informal_`m'.png, replace	
}



*Ninis por zona
graph bar nini [fweight=int(peso_anio)], over(genero) over(zona) ///
asyvar name(nini_zona,replace) graphregion(color(white))  plotregion(color(white)  ) ///
 by(anio, title("Proporción de Ninis, por zona", color(black)) ///
 graphregion(color(white))  plotregion(color(white)  ) ///
 note("Construcción propia con base en la GEIH")) subtitle(,fcolor(white) lcol(white)) ///
 bar(1, lcolor(black)lwidth(medthin) fcolor(dkorange)) ///
 bar(2, lcolor(black)lwidth(medthin) fcolor(forest_green)) ///
 bargap(3) ytitle("") blabel(bar, tstyle(smbody) gap(*0.2) format(%4.2f))
graph export g_nini_zona.png, replace





*Horas de trabajo no remunerado cuidando niños por edad, genero y año
*Horas de trabajo no remunerado en el hogar por edad, genero y año

foreach i in hog_norem nino_norem  {
graph bar `i', over(genero) over(grupo_edad) asyvar name(`i',replace) ///
graphregion(color(white))  plotregion(color(white)  ) ///
 by(anio, title("`: var label `i''", color(black))  graphregion(color(white))  ///
 plotregion(color(white)  ) note("Construcción propia con base en la GEIH")) ///
 subtitle(,fcolor(white) lcol(white))  ytitle("Horas a la semana") ///
 bar(1, lcolor(black)lwidth(medthin) fcolor(dkorange)) ///
 bar(2, lcolor(black)lwidth(medthin) fcolor(forest_green)) ///
 bargap(3)  blabel(bar, tstyle(smbody) gap(*0.2) format(%4.1f))	
graph export g_`i'.png, replace	
}






