*Estadísticas: mapas combinados para cada variable en 2010 y 2018.
cd "$mapas"

*Mapa ejemplo para la brecha en la tasa de desempleo en 2010
spmap br_d_2010  using coCol3, id(id) fcolor(Greens) clmethod(quantile) clnumber(4) ///
 label (xcoord(x_c_l) ycoord(y_c_l) label (mpio_3) size(tiny) position(3)  gap(*1.2) length(30) ) ///
 ndo(gs14) ndlabel("Sin datos")  mocolor(gs1) polygon(data("col_coord.dta") ocolor(gs5) osize(thin)) ///
 title("Brechas de género en desempleo",   color(gs0)) ///
 subtitle("2010", color(gs4)) ///
 caption("Elaboración propia con base en la GEIH", size(*0.5) color(gs0)) ///
 legend() legtitle("Tasa de desempleo")
 
 

*Para tasas: desempleo, ocupación, informalidad y participación
 local nombres "desempleo ocupación informalidad participación"
  local counter = 1 
 foreach i in d e informalidad pea {
 local a: word `counter' of `nombres'
 foreach j in 2010 2018 {
 spmap br_`i'_`j'  using coCol3, name(br_`i'_`j',replace) id(id) fcolor(Greens) ///
 label (xcoord(x_c_l) ycoord(y_c_l) label (mpio_3) size(tiny) position(3)  gap(*1.2) length(30) ) ///
 ndo(gs14) ndlabel("Sin datos")  mocolor(gs1) polygon(data("col_coord.dta") ocolor(gs5) osize(thin)) ///
 subtitle("`j'", color(gs4)) ///
 legend() legtitle("Brecha tasa de `a', pp")
 local var`i' `var`i'' br_`i'_`j' 
 }

graph combine `var`i'' , title("Brechas de género en `a'") graphregion(color(white)) ///
plotregion(color(white)  ) note("Elaboración propia con base en la GEIH", size(*0.5) ///
color(gs0))  
graph export br_`a'.png, replace
local ++counter
 }
 
 
*Para salario real 
 foreach j in 2010 2018 {
 spmap br_salario_real_`j'  using coCol3, name(br_salario_real_`j',replace) id(id) fcolor(Greens)  ///
 label (xcoord(x_c_l) ycoord(y_c_l) label (mpio_3) size(tiny) position(3)  gap(*1.2) length(30) ) ///
 ndo(gs14) ndlabel("Sin datos")  mocolor(gs1) polygon(data("col_coord.dta") ocolor(gs5) osize(thin)) ///
 subtitle("`j'", color(gs4)) ///
 legend() legtitle("Brecha salario real (%)")
 local var`i' `var`i'' br_salario_real_`j' 
 }

graph combine `var`i'' , title("Brechas de género según salario real") graphregion(color(white)) ///
note("Elaboración propia con base en la GEIH" "La brecha se calcula como porcentaje del salario de los hombres" ///
, size(*0.7) color(gs0))  plotregion(color(white)  )
graph export br_salario_real.png, replace 
 
 
*Para horas no remuneradas cuidando: el hogar y niños
  local nombres "hogar niños"
  local counter = 1 
 foreach i in hog_norem nino_norem  {
 local a: word `counter' of `nombres'
 foreach j in 2010 2018 {
 spmap br_`i'_`j'  using coCol3, name(br_`i'_`j',replace) id(id) fcolor(Greens) ///
 label (xcoord(x_c_l) ycoord(y_c_l) label (mpio_3) size(tiny) position(3)  gap(*1.2) length(30) ) ///
 ndo(gs14) ndlabel("Sin datos")  mocolor(gs1) polygon(data("col_coord.dta") ocolor(gs5) osize(thin)) ///
 subtitle("`j'", color(gs4)) ///
 legend() legtitle("Brecha horas `a'")
 local var`i' `var`i'' br_`i'_`j' 
 }

graph combine `var`i'' , title("Brechas de género según horas cuidando `a' no remuneradas",size(medium)) ///
graphregion(color(white)) caption("Elaboración propia con base en la GEIH" ///
, size(*0.5) color(gs0))  plotregion(color(white)  )
graph export br_`a'.png, replace
local ++counter
 } 
 
 




